Bug 9114 - [PATCH] fix RowRecordAggregate.getRow bug
Summary: [PATCH] fix RowRecordAggregate.getRow bug
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-dev
Hardware: All All
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-15 15:06 UTC by Tal Moshaiov
Modified: 2004-11-16 19:05 UTC (History)
1 user (show)



Attachments
cvs diff file (2.52 KB, patch)
2002-05-15 15:07 UTC, Tal Moshaiov
Details | Diff
ooops forgot to add @author in the last one (2.58 KB, patch)
2002-05-15 15:09 UTC, Tal Moshaiov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tal Moshaiov 2002-05-15 15:06:43 UTC
I believe this is a bug in RowRecordAggregate.
The bug resides in the fact that when asked to "getRow(rowNum)"  the comparison
in the HashMap is made by Objects comparison instead of row numbers comparison.

Greetz
Tal
Comment 1 Tal Moshaiov 2002-05-15 15:07:52 UTC
Created attachment 1873 [details]
cvs diff file
Comment 2 Tal Moshaiov 2002-05-15 15:09:27 UTC
Created attachment 1874 [details]
ooops forgot to add @author in the last one
Comment 3 Andy Oliver 2002-05-20 21:05:03 UTC
Glen, as I understand it you had concerns with this patch?  Have they been resolved?

Tal, is this patch against 1.5 or against the head?  Are you intending for it to
be applied and appear in 2.0 or a possible later 1.5 bugfix release? 

Once I get confirmation from you gentlemen on these issues I'll apply and commit.

Thanks,

Andy
Comment 4 Andy Oliver 2002-05-20 21:06:43 UTC
Glen, as I understand it you had concerns with this patch?  Have they been resolved?

Tal, is this patch against 1.5 or against the head?  Are you intending for it to
be applied and appear in 2.0 or a possible later 1.5 bugfix release? 

Once I get confirmation from you gentlemen on these issues I'll apply and commit.

Thanks,

Andy
Comment 5 Glen Stampoultzis 2002-05-21 00:35:17 UTC
Did I?  I don't recall.  Been a bit slow keeping up with this stuff lately.  
This will change soon.
Comment 6 Avik Sengupta 2002-05-21 04:42:56 UTC
I had problems, and they havent been resolved. I'll get to them later today.
Comment 7 Andy Oliver 2002-05-21 13:00:43 UTC
OK, I'll make sure Tal looks at this and tells me what version he intended it
for and then I'll apply.
Comment 8 Avik Sengupta 2002-05-21 19:02:10 UTC
changed RowRecordAggregate to use treemap rather than hashmap. Did not use the 
comparator.